<?php
class Ssak // definicja klasy
{
    private $kolorOczu; // wspólna właściwość dla ssaków

    public function setKolorOczu(string $kolor)
    {
        $this->kolorOczu = $kolor;
    }

    public function getKolorOczu() : string
    {
        return $this->kolorOczu;
    }
}

class Pies extends Ssak // definicja klasy z dziedziczeniem
{
    private $rasa;

    public function setRasa(string $rasa)
    {
        $this->rasa = $rasa;
    }

    public function getRasa() : string
    {
        return $this->rasa;
    }
}

$pies = new Pies();
$pies->setKolorOczu(kolor: "brązowe"); // metoda odziedziczona po klasie Ssak
$pies->setRasa(rasa: "szpic pomorski"); // metoda zdefiniowana w klasie Pies

print "Mój pies:".PHP_EOL;
print "rasa: ".$pies->getRasa().PHP_EOL;
print "kolor oczu: ".$pies->getKolorOczu();